/*
 * Package : dartamaker
 * Author : S. Hamblett <steve.hamblett@linux.com>
 * Date   : 11/06/2019
 * Copyright :  S.Hamblett
 */

part of dartamaker;

/// TLD names
class DartamakerPluginTLD implements DartamakerPlugin {
  final List<String> _tlds = <String>[
    'khakassia.su',
    'pro.ht',
    'st.no',
    'place',
    'international',
    'capitalone',
    'hepforge.org',
    'ginan.gifu.jp',
    'farm.museum',
    'rome.it',
    'kharkiv.ua',
    'cc.ia.us',
    'is-an-entertainer.com',
    'ora.gunma.jp',
    'pol.dz',
    'shinjuku.tokyo.jp',
    'aquila.it',
    'is-a-libertarian.com',
    'k12.mo.us',
    'od.ua',
    'nom.cl',
    'gen.nz',
    'net.jo',
    'sa.gov.pl',
    'from-sc.com',
    'e.se',
    'is-gone.com',
    'kongsberg.no',
    'susono.shizuoka.jp',
    'moi',
    'xerox',
    'iyo.ehime.jp',
    'gov.iq',
    'amli.no',
    'te.it',
    'uk.eu.org',
    'sanda.hyogo.jp',
    'mex.com',
    'edu.ar',
    'zarow.pl',
    'tiaa',
    'bayern',
    'bg.it',
    'mihara.hiroshima.jp',
    'war.museum',
    'isa-hockeynut.com',
    'vn',
    'yoshikawa.saitama.jp',
    'sandnessjoen.no',
    'le.it',
    'is-a-geek.com',
    'is.it',
    'arts.nf',
    'sera.hiroshima.jp',
    'cityeats',
    'blogspot.co.ke',
    'schweiz.museum',
    'báhcavuotna.no',
    'pi.leg.br',
    'starnberg.museum',
    'ilovecollege.info',
    'lib.nm.us',
    'campidanomedio.it',
    'ås.no',
    'blogspot.com.br',
    'gov.gy',
    'bømlo.no',
    'tanabe.wakayama.jp',
    'hiranai.aomori.jp',
    'cu',
    'hattfjelldal.no',
    'loan',
    'org.ac',
    'ap-south-1.elasticbeanstalk.com',
    'odo.br',
    'sr.it',
    'agdenes.no',
    'apps.fbsbx.com',
    'wiih.gov.pl',
    'chikusei.ibaraki.jp',
    '石川.jp',
    'gov.cl',
    'arida.wakayama.jp',
    'blogspot.qa',
    'sayama.osaka.jp',
    'brussels',
    'ac.se',
    'ايران',
    '埼玉.jp',
    'blockbuster',
    'hotel.hu',
    'aigo',
    'vix.br',
    'broke-it.net',
    'trentino-altoadige.it',
    'cesena-forli.it',
    'shimokitayama.nara.jp',
    'is-a-rockstar.com',
    'moka.tochigi.jp',
    'keisen.fukuoka.jp',
    'yahoo',
    'gov.sl',
    'online.museum',
    'guitars',
    'сайт',
    'net.gg',
    'aogaki.hyogo.jp',
    'cc.co.us',
    'historichouses.museum',
    'trafficplex.cloud',
    'carrier.museum',
    'bálát.no',
    'edu.et',
    'endofinternet.net',
    'tysvær.no',
    'toon.ehime.jp',
    'higashiyama.kyoto.jp',
    'wazuka.kyoto.jp',
    'andria-barletta-trani.it',
    'pccw',
    'org.za',
    'ogawa.ibaraki.jp',
    'openair.museum',
    'kamijima.ehime.jp',
    'toho.fukuoka.jp',
    'microlight.aero',
    '游戏',
    'noho.st',
    'ac.ru',
    'mykolaiv.ua',
    'дети',
    'cc.va.us',
    'oppegård.no',
    'blogspot.ca',
    'gateway.museum',
    'granvin.no',
    'hizen.saga.jp',
    'pro.mv',
    'netlify.com',
    'valleaosta.it',
    'gov.sc',
    'hokkaido.jp',
    'habikino.osaka.jp',
    'fit',
    'photography',
    'lib.nv.us',
    'noshiro.akita.jp',
    'takayama.gunma.jp',
    '北海道.jp',
    '2.bg',
    'wallonie.museum',
    'org.om',
    'com.ps',
    'llc',
    'ru.com',
    'et',
    'itabashi.tokyo.jp',
    'ac.gn',
    'tønsberg.no',
    'maori.nz',
    'bentley',
    'taishi.hyogo.jp',
    'kota.aichi.jp',
    'yamagata.jp',
    'kashiwazaki.niigata.jp',
    'is-an-artist.com',
    '長崎.jp',
    'nym.bz',
    'ac.uk',
    'poa.br',
    'com.kz',
    'myfritz.net',
    'shibecha.hokkaido.jp',
    'amica',
    'coffee',
    'forum.hu',
    'edu.bh',
    'airport.aero',
    'spdns.de',
    'kawanehon.shizuoka.jp',
    'umig.gov.pl',
    'one',
    'grozny.su',
    'catholic',
    'eng.pro',
    'kimobetsu.hokkaido.jp',
    'shimabara.nagasaki.jp',
    'hida.gifu.jp',
    'ping',
    'filegear.me',
    'org.ae',
    'pt',
    'vallée-aoste.it',
    'eaton.mi.us',
    'mein-vigor.de',
    'okayama.okayama.jp',
    'rn.it',
    'g.se',
    'eu.meteorapp.com',
    '福井.jp',
    'toscana.it',
    'ax',
    'sanagochi.tokushima.jp',
    'fuchu.tokyo.jp',
    'homedns.org',
    'net.bm',
    'smile',
    'jambyl.su',
    'sk.ca',
    'dlugoleka.pl',
    'biz.pl',
    'pimienta.org',
    'vågsøy.no',
    'gov.ly',
    'frontdoor',
    'sc.us',
    'mil.ge',
    'honbetsu.hokkaido.jp',
    'cuiaba.br',
    'applinzi.com',
    'kamitsue.oita.jp',
    'web.ve',
    'sondre-land.no',
    'googlecode.com',
    'tunk.org',
    'edu.mk',
    'kawanishi.yamagata.jp',
    'mil.br',
    's3-ap-northeast-2.amazonaws.com',
    's3-website-ap-northeast-1.amazonaws.com',
    'heroy.nordland.no',
    'new',
    'cherkassy.ua',
    'amex',
    'georgia.su',
    'trentinsuedtirol.it',
    'net.ve',
    'boleslawiec.pl',
    'takayama.nagano.jp',
    'cc.al.us',
    'sk',
    'skanland.no',
    'defense.tn',
    'furubira.hokkaido.jp',
    'tr.it',
    'gs.nt.no',
    'kfh',
    'våler.østfold.no',
    'caltanissetta.it',
    'ac.be',
    'valle-d-aosta.it',
    'egersund.no',
    'coal.museum',
    'ina.saitama.jp',
    'claims',
    'net.lr',
    'mizumaki.fukuoka.jp',
    'imamat',
    'snåsa.no',
    'net.za',
    'jewelry.museum',
    'matsumoto.kagoshima.jp',
    'krasnodar.su',
    'shizukuishi.iwate.jp',
    'shonai.fukuoka.jp',
    'badaddja.no',
    'cookingchannel',
    'vik.no',
    'com.do',
    'yugawa.fukushima.jp',
    'id.us',
    'lviv.ua',
    'stord.no',
    'aso.kumamoto.jp',
    'kiho.mie.jp',
    'int.la',
    'revista.bo',
    'tksat.bo',
    'ohtawara.tochigi.jp',
    'encyclopedic.museum',
    'or.us',
    'sciences.museum',
    'luzern.museum',
    'hofu.yamaguchi.jp',
    'mil.rw',
    'int.ni',
    'freeddns.us',
    'tuscany.it',
    '4lima.ch',
    'kosei.shiga.jp',
    'barclaycard',
    'hirono.fukushima.jp',
    'og.ao',
    'ål.no',
    'kitaura.miyazaki.jp',
    'shiftedit.io',
    'per.la',
    'myeffect.net',
    'osøyro.no',
    'immobilien',
    'mitake.gifu.jp',
    's3-eu-central-1.amazonaws.com',
    'target',
    'cd',
    'equipment.aero',
    'australia.museum',
    'unjárga.no',
    'com.pf',
    'rep.kp',
    'codes',
    'tc',
    'zt.ua',
    'edu.co',
    'dyndns-office.com',
    'dscloud.me',
    'org.dz',
    'yk.ca',
    'academy',
    'oguni.yamagata.jp',
    'lib.gu.us',
    'news',
    'uk',
    'kitashiobara.fukushima.jp',
    'minano.saitama.jp',
    'gov.sh',
    'biratori.hokkaido.jp',
    'dagestan.su',
    'honjyo.akita.jp',
    'org.sb',
    'iris.arpa',
    't3l3p0rt.net',
    'cy',
    'nt.au',
    'sodegaura.chiba.jp',
    'tv.bo',
    'toyama.toyama.jp',
    'com.sd',
    'riik.ee',
    'edu.vc',
    'homesecuritymac.com',
    'ac.nz',
    'biz.id',
    'ricoh',
    'cash',
    'is-into-cartoons.com',
    'notteroy.no',
    'ericsson',
    'net.mz',
    'school.na',
    'katsuura.chiba.jp',
    'higashiizumo.shimane.jp',
    'inabe.mie.jp',
    'mil.gt',
    'com.ws',
    'opencraft.hosting',
    'takarazuka.hyogo.jp',
    'gjovik.no',
    'carboniaiglesias.it',
    '網絡.hk',
    'cc.ky.us',
    'nishiizu.shizuoka.jp',
    'lima-city.at',
    'dentist',
    'k12.az.us',
    'jfk.museum',
    'c.cdn77.org',
    'tv.br',
    'pa.gov.pl',
    'okinawa.okinawa.jp',
    'schule',
    '大阪.jp',
    'dolls.museum',
    'karasjok.no',
    'yoshino.nara.jp',
    'net.bt',
    'gripe',
    'yamanouchi.nagano.jp',
    'edu.jo',
    'omi.niigata.jp',
    '诺基亚',
    'health.nz',
    'gb',
    'tci',
    'oi.kanagawa.jp',
    'reggiocalabria.it',
    'gildeskål.no',
    'call',
    'global',
    'bi.it',
    'org.sn',
    'nøtterøy.no',
    'date.hokkaido.jp',
    'pulawy.pl',
    'is-a-personaltrainer.com',
    'chizu.tottori.jp',
    'kanan.osaka.jp',
    'ap-northeast-2.elasticbeanstalk.com',
    'chino.nagano.jp',
    'definima.net',
    '通販',
    'barsy.club',
    'sveio.no',
    'castres.museum',
    'blogspot.bj',
    'aomori.jp',
    'mn.us',
    'sex.hu',
    'copenhagen.museum',
    'barsy.pub',
    'post',
    'lima-city.ch',
    'trentinosud-tirol.it',
    'edu.ws',
    'money.museum',
    'my',
    'date',
    'macapa.br',
    'hashimoto.wakayama.jp',
    'inatsuki.fukuoka.jp',
    'xenapponazure.com',
    'us-east-1.amazonaws.com',
    'vision',
    'jeep',
    'saotome.st',
    'air.museum',
    'sells-for-u.com',
    'drøbak.no',
    'iwakuni.yamaguchi.jp',
    'aws',
    'sassari.it',
    'voagat.no',
    'iamallama.com',
    'com.az',
    'lib.mi.us',
    'fm.br',
    'kunstunddesign.museum',
    'is-a-hard-worker.com',
    'edu.do',
    'vi',
    'k12.ct.us',
    'finnoy.no',
    'lib.ak.us',
    'lib.hi.us',
    'dattorelay.com',
    'minamiboso.chiba.jp',
    'empresa.bo',
    'bm',
    'nym.ie',
    'co.tt',
    'witd.gov.pl',
    'hirakata.osaka.jp',
    'mango',
    'suzaka.nagano.jp',
    'org.ls',
    'k12.wi.us',
    'pru',
    'clothing',
    'iron.museum',
    's3-ap-northeast-1.amazonaws.com',
    'from-al.com',
    'k12.al.us',
    'zhytomyr.ua',
    '臺灣',
    'gouv.ci',
    'sandnessjøen.no',
    'soka.saitama.jp',
    'stjordalshalsen.no',
    'ski.museum',
    'midsund.no',
    'frog.museum',
    'rest',
    'lib.ut.us',
    'podzone.net',
    'com.so',
    'za.org',
    'edu.me',
    'virtual.museum',
    'harvestcelebration.museum',
    'ポイント',
    'usa.museum',
    'us.na',
    'høyanger.no',
    'is-a-candidate.org',
    'nikaho.akita.jp',
    'cc.ak.us',
    'now',
    'tosa.kochi.jp',
    'dnsfor.me',
    'ht',
    'durham.museum',
    'kamigori.hyogo.jp',
    'shiriuchi.hokkaido.jp',
    'fukushima.fukushima.jp',
    'in.net',
    'onga.fukuoka.jp',
    'kumano.hiroshima.jp',
    'ಭಾರತ',
    'abbvie',
    'онлайн',
    'or.ug',
    'ac.rw',
    'meland.no',
    'hockey',
    'katsuragi.nara.jp',
    'wedeploy.sh',
    'linz.museum',
    'point2this.com',
    'es.gov.br',
    'fans',
    'uenohara.yamanashi.jp',
    'herøy.møre-og-romsdal.no',
    'slask.pl',
    'storfjord.no',
    'parma.it',
    'yamagata.nagano.jp',
    'camp',
    's3-website-us-west-1.amazonaws.com',
    'net.ac',
    'manchester.museum',
    'puglia.it',
    'audnedaln.no',
    'axa',
    'pyatigorsk.ru',
    'able',
    'lahppi.no',
    'neustar',
    'po.gov.pl',
    'бел',
    'dyndns1.de',
    'nh.us',
    'gov.au',
    'berlin.museum',
    'nr',
    'stage.nodeart.io',
    'hiroo.hokkaido.jp',
    'lib.ct.us',
    'marche.it',
    'hinohara.tokyo.jp',
    'yamanobe.yamagata.jp',
    'nanmoku.gunma.jp',
    'dev-myqnapcloud.com',
    'kouyama.kagoshima.jp',
    'rzgw.gov.pl',
    'cloudns.pw',
    'minamiise.mie.jp',
    'wake.okayama.jp',
    'nom.af',
    '鳥取.jp',
    'trento.it',
    'lørenskog.no',
    'shimonoseki.yamaguchi.jp',
    'isehara.kanagawa.jp',
    'theater',
    'kikonai.hokkaido.jp',
    's3-ca-central-1.amazonaws.com',
    'phoenix.museum',
    'homelinux.org',
    'com.tt',
    'himeshima.oita.jp',
    'okawa.fukuoka.jp',
    'mil.tr',
    'barum.no',
    'yamamoto.miyagi.jp',
    'air-traffic-control.aero',
    'co.ve',
    'com.lb',
    'chiryu.aichi.jp',
    'blogspot.fi',
    'tochigi.jp',
    'kppsp.gov.pl',
    'hichiso.gifu.jp',
    'mil.ph',
    'nagaokakyo.kyoto.jp',
    'takahata.yamagata.jp',
    'go.tj',
    'edu.vn',
    'toray',
    'shingu.fukuoka.jp',
    'hioki.kagoshima.jp',
    'kadoma.osaka.jp',
    'deporte.bo',
    'clinic',
    'takino.hyogo.jp',
    'nesodden.no',
    'ambulance.aero',
    'katashina.gunma.jp',
    'kitakata.miyazaki.jp',
    'nyuzen.toyama.jp',
    'fastvps-server.com',
    'bájddar.no',
    'film',
    'bando.ibaraki.jp',
    'meguro.tokyo.jp',
    'org.gt',
    'blogspot.re',
    'hamburg',
    'botanicalgarden.museum',
    'uy',
    'beats',
    'edu.sa',
    'yura.wakayama.jp',
    'co.ls',
    'inawashiro.fukushima.jp',
    'gwangju.kr',
    'edu.sn',
    'rovigo.it',
    'download',
    'net.mv',
    'is-not-certified.com',
    'ama.aichi.jp',
    'zgorzelec.pl',
    'info.zm',
    's3.amazonaws.com',
    'from-ms.com',
    'abo.pa',
    'tz',
    'zw',
    'in.na',
    'pl.ua',
    'shinagawa.tokyo.jp',
    'gallery',
    'kasuga.fukuoka.jp',
    'sømna.no',
    'cv.ua',
    'tsuyama.okayama.jp',
    'langevag.no',
    'ud.it',
    'emiliaromagna.it',
    'oslo.no',
    'pescara.it',
    'moonscale.net',
    'ubank',
    'cieszyn.pl',
    'toyooka.hyogo.jp',
    'bellevue.museum',
    'idf.il',
    'anquan',
    'aju.br',
    'awaji.hyogo.jp',
    'misato.wakayama.jp',
    'ddr.museum',
    'flt.cloud.muni.cz',
    'niyodogawa.kochi.jp',
    'chikuma.nagano.jp',
    's3.dualstack.us-east-2.amazonaws.com',
    'showa.gunma.jp',
    'voss.no',
    'sortland.no',
    '澳門',
    'demon.nl',
    'mátta-várjjat.no',
    'palace.museum',
    'blogspot.cf',
    'certmgr.org',
    'org.ml',
    'echizen.fukui.jp',
    'gaivuotna.no',
    'muko.kyoto.jp',
    'edu.it',
    'سودان',
    'nom.gd',
    'prof',
    'dyndns.org',
    'nyc.mn',
    'kumiyama.kyoto.jp',
    'lpl',
    'blogspot.sk',
    'fbxos.fr',
    'sor-odal.no',
    'mo-i-rana.no',
    'chuo.tokyo.jp',
    'qld.gov.au',
    'mg.leg.br',
    'dz',
    'sogne.no',
    'cloud.goog',
    'today',
    'info.au',
    'rælingen.no',
    'band',
    'mitane.akita.jp',
    'valléeaoste.it',
    'gov.as',
    'med.sd',
    'jcb',
    'ac.za',
    'gonohe.aomori.jp',
    'football',
    'yawatahama.ehime.jp',
    'yukuhashi.fukuoka.jp',
    'ami.ibaraki.jp',
    'foz.br',
    'ro.im',
    'mypep.link',
    'riobranco.br',
    'express.aero',
    'ol.no',
    'yn.cn',
    'uppo.gov.pl',
    'operaunite.com',
    'sondrio.it',
    'toga.toyama.jp',
    'wme',
    'tickets',
    'lib.al.us',
    'bø.telemark.no',
    'bz.it',
    'niiza.saitama.jp',
    'association.museum',
    'rl.no',
    'fuossko.no',
    'suzuka.mie.jp',
    'kochi.kochi.jp',
    'gov.ms',
    'kr.com',
    'mitsue.nara.jp',
    'nord-odal.no',
    'com.mg',
    'customer.speedpartner.de',
    'myjino.ru',
    'tama.tokyo.jp',
    'tashkent.su',
    'kakegawa.shizuoka.jp',
    'ac.il',
    'kyiv.ua',
    'dj',
    'org.sg',
    'adachi.tokyo.jp',
    'insurance.aero',
    'nom.fr',
    'ibaraki.osaka.jp',
    'tdk',
    'ilawa.pl',
    'km.ua',
    'spot',
    'hanawa.fukushima.jp',
    'glass',
    'pixolino.com',
    'zip',
    'from-or.com',
    'gr',
    'temasek',
    'rn.gov.br',
    'wa.us',
    'livinghistory.museum',
    'markets',
    'skedsmo.no',
    'aremark.no',
    'ariake.saga.jp',
    'shiojiri.nagano.jp',
    'jaworzno.pl',
    'rr.leg.br',
    'navy',
    'group',
    'nærøy.no',
    'sakai.ibaraki.jp',
    'mil.qa',
    'servepics.com',
    'com.tm',
    'gp',
    'sologne.museum',
    'gov.my',
    'yorkshire.museum',
    'bbva',
    'tinn.no',
    'msk.ru',
    'trust',
    'likescandy.com',
    'sydney',
    'hachijo.tokyo.jp',
    'project.museum',
    'otsu.shiga.jp',
    'oe.yamagata.jp',
    '4u.com',
    'ck.ua',
    'nanyo.yamagata.jp',
    'ass.km',
    'com.ki',
    'frankfurt.museum',
    'bosch',
    'ozu.ehime.jp',
    'name.ng',
    'natal.br',
    'otari.nagano.jp',
    'edu.krd',
    'ss.it',
    'hn',
    'blogspot.co.il',
    'com.ni',
    'homelinux.net',
    'batsfjord.no',
    'kyuragi.saga.jp',
    'paris.eu.org',
    'aogashima.tokyo.jp',
    'osteroy.no',
    'beskidy.pl',
    'askvoll.no',
    'fineart.museum',
    'dynalias.org',
    'fortworth.museum',
    'finnøy.no',
    'edu.lk',
    'takasago.hyogo.jp',
    'pn.it',
    'mx.na',
    'chuo.chiba.jp',
    'forgot.his.name',
    'nico',
    'nym.la',
    'froya.no',
    'inami.toyama.jp',
    'americanart.museum',
    'alabama.museum',
    'zachpomor.pl',
    'fetsund.no',
    'usantiques.museum',
    'kp',
    'turystyka.pl',
    'oamishirasato.chiba.jp',
    'berg.no',
    'stream',
    'pcloud.host',
    'cc.dc.us',
    'nagareyama.chiba.jp',
    'tuva.su',
    'cy.eu.org',
    'camera',
    'isa-geek.org',
    'sweetpepper.org',
    '福岡.jp',
    'vikna.no',
    'kvinnherad.no',
    'zippo',
    'ba.leg.br',
    'bike',
    'limanowa.pl',
    'safety',
    'notaires.km',
    'hotel.tz',
    'tranby.no',
    'org.tw',
    'etnedal.no',
    'home-webserver.de',
    'inf.cu',
    'us-west-1.elasticbeanstalk.com',
    'net.bo',
    'iida.nagano.jp',
    'lillehammer.no',
    'ms.it',
    'pk',
    'travel.pl',
    'co.vi',
    'clan.rip',
    'obninsk.su',
    'md.us',
    'edu.au',
    'kira.aichi.jp',
    'akiruno.tokyo.jp',
    'mortgage',
    'br.com',
    'km',
    'lier.no',
    'siljan.no',
    'servequake.com',
    'co.cr',
    'kaneyama.fukushima.jp',
    'theworkpc.com',
    'bulsan-südtirol.it',
    'oita.oita.jp',
    '4lima.at',
    'vibovalentia.it',
    'nym.by',
    'marnardal.no',
    'klæbu.no',
    'nagano.nagano.jp',
    'space.museum',
    'kagami.kochi.jp',
    'skydiving.aero',
    'avoues.fr',
    'je',
    'toyohashi.aichi.jp',
    's3-website-sa-east-1.amazonaws.com',
    'eiheiji.fukui.jp',
    'barsy.io',
    'izena.okinawa.jp',
    'go.th',
    'lego',
    'academia.bo',
    'mil.mg',
    'nakadomari.aomori.jp',
    'icu',
    'nic.in',
    'spy.museum',
    'smøla.no',
    'works.aero',
    'izumi.osaka.jp',
    'tananger.no',
    'fukui.fukui.jp',
    'kuju.oita.jp',
    'kujukuri.chiba.jp',
    'ro.leg.br',
    'ltd.cy',
    'from-mi.com',
    'matsudo.chiba.jp',
    'info.az',
    'servebbs.net',
    'onyourside',
    '商店',
    'birkenes.no',
    'bonn.museum',
    'gub.uy',
    'pioneer',
    'org.sh',
    'conf.lv',
    'dental',
    'macys',
    'onthewifi.com',
    'prime',
    'solund.no',
    'mobara.chiba.jp',
    'matsushima.miyagi.jp',
    'wada.nagano.jp',
    'leangaviika.no',
    'ac.mu',
    'firm.co',
    'freeboxos.fr',
    'lib.mn.us',
    'همراه',
    'nobeoka.miyazaki.jp',
    'kv.ua',
    'press',
    'steam.museum',
    'shiso.hyogo.jp',
    'nes.buskerud.no',
    'toya.hokkaido.jp',
    '商城',
    'k12.il',
    'c.bg',
    'volda.no',
    'urbinopesaro.it',
    'bofa',
    'skole.museum',
    'پاكستان',
    'from-dc.com',
    'jmp',
    'net.kn',
    'mytis.ru',
    'bearalváhki.no',
    'kiryu.gunma.jp',
    'now-dns.net',
    'jetzt',
    'hirokawa.fukuoka.jp',
    'ge.it',
    'industria.bo',
    'productions',
    'trentinosüdtirol.it',
    'lukow.pl',
    'iwatsuki.saitama.jp',
    'åmot.no',
    'fuso.aichi.jp',
    'yatsuka.shimane.jp',
    'lamborghini',
    'powiat.pl',
    'tv.tr',
    'cc.wv.us',
    'gov.rw',
    'sumoto.hyogo.jp',
    'pv.it',
    'org.pr',
    'americanfamily',
    'com.af',
    'kunst.museum',
    'gsm.pl',
    'zone.id',
    'enonic.io',
    'rnu.tn',
    'is-into-cars.com',
    'nationwide',
    'bmd.br',
    'atami.shizuoka.jp',
    'friuli-ve-giulia.it',
    'costume.museum',
    'freebox-os.com',
    'marshalls',
    'ekloges.cy',
    'am.gov.br',
    'barrel-of-knowledge.info',
    'sciencehistory.museum',
    'lib.id.us',
    'pars',
    'natural.bo',
    'hamura.tokyo.jp',
    'online',
    'fukagawa.hokkaido.jp',
    'skánit.no',
    'com.io',
    'vlaanderen',
    'insurance',
    'kunneppu.hokkaido.jp',
    'takikawa.hokkaido.jp'
  ];

  /// TLD list
  List<String> get tlds => _tlds;

  @override
  String apply() => _tlds[Random().nextInt(_tlds.length - 1)];
}
